# Note that this is NOT a relocatable package
%define ver      1.3.6
%define rel      6mdk

Summary: A library of handy utility functions.
Name: glib2
Version: %ver
Release: %rel
License: LGPL
Group: System/Libraries
Source: ftp://ftp.gtk.org/pub/gtk/v1.3/glib-%{ver}.tar.bz2
BuildRoot: %{_tmppath}/glib-%{PACKAGE_VERSION}-root
URL: http://www.gtk.org
Requires: common-licenses

%description
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.
You should install Glib because many of your applications
will depend on this library.

%package -n libglib1.3_6
Summary: Main library for glib
Group: System/Libraries
Provides: glib2 = %{version}
Obsoletes: glib2

%description -n libglib1.3_6
This package contains the library needed to run programs dynamically
linked with the glib.

%package -n libglib1.3_6-devel
Summary: GIMP Toolkit and GIMP Drawing Kit support library
Group: Development/C
Requires: libglib1.3_6 = %{ver}
Provides: libglib2-devel = %{version}
Provides: libglib1.3-devel = %{version}

%description -n libglib1.3_6-devel
Static libraries and header files for the support library for the GIMP's X
libraries, which are available as public libraries.  GLIB includes generally
useful data structures.

%prep
%setup -n glib-%{ver} -q

# this is needed to avoid problems with libtool 
aclocal
autoconf

%build
%configure
%make
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# h4ck -- Geoff
install -s -m 755 gobject/.libs/testgruntime $RPM_BUILD_ROOT%{_bindir}

# fix the name of the man page
#mv $RPM_BUILD_ROOT%{_mandir}/man1/glib-config.1 $RPM_BUILD_ROOT%{_mandir}/man1/glib-config-2.0.1
# fix the path for glibconfig.h
(
  cd $RPM_BUILD_ROOT/usr/include/glib-2.0/
  perl -p -i -e 's|<glibconfig.h>|"/usr/lib/glib-2.0/include/glibconfig.h"|' *h */*h
)

%clean
#rm -rf $RPM_BUILD_ROOT

%post -n libglib1.3_6 -p /sbin/ldconfig

%postun -n libglib1.3_6 -p /sbin/ldconfig

%files -n libglib1.3_6
%defattr(-, root, root)
%doc README
%{_libdir}/libglib-1.3.so.*
%{_libdir}/libgmodule-1.3.so.*
%{_libdir}/libgthread-1.3.so.*
%{_libdir}/libgobject-1.3.so.*

%files -n libglib1.3_6-devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/glib-2.0/*
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man1/*
%{_datadir}/aclocal/*
%{_bindir}/glib-config-2.0
%{_bindir}/gobject-query
%{_bindir}/glib-genmarshal
%{_bindir}/testgruntime

%changelog
* Tue Aug  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.6-6mdk
- Add missing provides in -devel

* Thu Aug 02 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-5mdk
- rebuild with forcing use of new libtools, included all aclocal files

* Wed Jul 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.6-4mdk
- explicitly list each shared lib, to prevent false build success
  with bad libtool
- Requires: common-licenses, and remove COPYING from %%doc
- run 'make check' tests for each build

* Thu Jun 21 2001 DindinX <odin@mandrakesoft.com> 1.3.6-3mdk
- new name (to follow the policy). Don't ask.

* Tue Jun 19 2001 DindinX <odin@mandrakesoft.com> 1.3.6-2mdk
- rebuild

* Fri Jun 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.6-1mdk
- Bump 1.3.6 into cooker.

* Sun May 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.5-1mdk
- Bump glib version 1.3.5 into cooker.
- Manually install testgruntime.
- In development package don't include the documentation twice.

* Fri Apr 27 2001 DindinX <odin@mandrakesoft.com> 1.3.4-2mdk
- added files for pkgconfig and some documentation

* Wed Apr 25 2001 DindinX <odin@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4

* Tue Dec  5 2000 DindinX <odin@mandrakesoft.com> 1.3.2-4mdk
- new lib policy

* Mon Nov 20 2000 DindinX <odin@mandrakesoft.com> 1.3.2-3mdk
- redo my patch to best fit glib-1.3.2
- move %%doc to -devel

* Mon Nov 20 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3.2-2mdk
- regenerate Dindinx's patch.

* Sat Nov 18 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3.2-1mdk
- release

* Wed Nov 15 2000 DindinX <odin@mandrakesoft.com> 1.3.1-1mdk
- version 1.3.1 (first pre2)

